## sni-qt 0.2.5

=== CMakeLists.txt ===
project(sni-qt)
cmake_minimum_required(VERSION 2.8.0)

# Versions
set(sni_qt_VERSION_MAJOR 0)
set(sni_qt_VERSION_MINOR 2)
set(sni_qt_VERSION_PATCH 5)
set(sni_qt_VERSION ${sni_qt_VERSION_MAJOR}.${sni_qt_VERSION_MINOR}.${sni_qt_VERSION_PATCH})

# Packaging
set(ARCHIVE_NAME sni-qt-${sni_qt_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make check
    && make install
    )
add_dependencies(distcheck dist)

# Dependencies
find_package(PkgConfig REQUIRED)
find_package(Qt4 REQUIRED)
pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt)

# Build flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual -Wall -std=c++0x")

# Build with all symbols hidden. The symbols declared by the Q_EXPORT_PLUGIN2
# macro are explicitly marked as visible, so the plugin can be loaded.
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Source
add_subdirectory(src)
add_subdirectory(tests/auto)
add_subdirectory(tests/manual)

=== tests/auto/CMakeLists.txt ===
# Macros to create "check" target
macro(add_test_executable _test)
    set(_src ${ARGN})
    qt4_generate_moc(${_test}.cpp ${_test}.moc)
    qt4_automoc(${_src})
    add_executable(${_test} ${_test}.cpp ${_test}.moc ${_src} ${test_RC})
    target_link_libraries(${_test} ${test_LIBRARIES})

    add_test(${_test} ${_test})
    add_dependencies(check ${_test})
endmacro(add_test_executable)

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose)

qt4_add_resources(test_RC test.qrc)

set(SRC_DIR "${CMAKE_SOURCE_DIR}/src")

include_directories(
    ${SRC_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTTEST_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    )

set(test_LIBRARIES
    ${QT_QTGUI_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    dbusmenu-qt
    )

enable_testing()

add_test_executable(dbusimagetest ${SRC_DIR}/dbusimage.cpp)
add_test_executable(fsutilstest ${SRC_DIR}/fsutils.cpp)
add_test_executable(iconcachetest ${SRC_DIR}/iconcache.cpp ${SRC_DIR}/fsutils.cpp)

=== tests/manual/CMakeLists.txt ===
project(systray)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    )

qt4_add_resources(tests_RC systray.qrc)

# systray
set(systray_SRCS
    main.cpp
    window.cpp
    )

qt4_automoc(${systray_SRCS})

add_executable(systray ${systray_SRCS} ${tests_RC})

target_link_libraries(systray
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    )

# delayedmenu
set(delayedmenu_SRCS delayedmenu.cpp)

qt4_automoc(${delayedmenu_SRCS})

add_executable(delayedmenu ${delayedmenu_SRCS} ${tests_RC})

target_link_libraries(delayedmenu
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    )

=== debian/changelog ===
sni-qt (0.2.5-0ubuntu3) oneiric-proposed; urgency=low

  * Backport r88.1.4 from upstream trunk: avoid causing unity-panel-service to
    eat all CPU when an application uses an animated icon (LP: #865601)

 -- AurÃ©lien GÃ¢teau <aurelien.gateau@ubuntu.com>  Tue, 25 Oct 2011 15:52:35 -0400

sni-qt (0.2.5-0ubuntu2) oneiric-proposed; urgency=high

  * Backport r91 from upstream trunk: prevent deletion of cwd if tmp dir is not
    writable (LP: #874447)

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Sat, 15 Oct 2011 16:08:57 +0200

sni-qt (0.2.5-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Prefix log output with pid of application.
    - Use a placeholder menu if there is none defined yet (LP: #860395)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Sep 2011 12:24:50 +0200

sni-qt (0.2.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Make sure GTK notices icon updates (LP: #812884).
    - Prevent applications from stealing icons from each others (LP: #850139)
    - Turn debug into a runtime option.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 11:17:11 +0200

sni-qt (0.2.2-0ubuntu3) oneiric; urgency=low

  * Multi-Arch support (LP: #838470).
  * Update Vcs-Bzr url. 

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Wed, 07 Sep 2011 18:53:05 +0200

sni-qt (0.2.2-0ubuntu2) oneiric; urgency=low

  * debian/sni-qt.conf:
    - add clementine and speedcrunch whitelist for activate entry (LP: #842752)
  * debian/rules:
    - remove the verbose mode, sni-qt seems to work quite well :)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Sep 2011 18:03:18 +0200

sni-qt (0.2.2-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Add the ability to show an Activate entry to the menu if the app does not
      provide it.
    - Survive a restart of the StatusNotifierWatcher process.
    - Build with -fvisibility=hidden and move all classes into a SniQt
      namespace to reduce risks of symbol clashes.
    - Rename _qt_sni_category to _sni_qt_category.
    - Touch the icon theme dir, so that GTK looks into it and find new icons.
    - Add build-time option to enable debug output
    - Document the _qt_sni_property hack
  * Cherry-pick some upstream commits to get a better localtion of sni-qt.conf
    file and translation fixes when the Qt app doesn't load it properly
  * debian/rules:
    - Add -DSNI_DEBUG_OUTPUT to get some debug info
  * debian/sni-qt.conf, debian/sni-qt.install:
    - List Mumble and skype as candidate for "activate" entry menu

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Aug 2011 14:56:54 +0200

sni-qt (0.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/copyright:
    - add the BSD notice for new example files
  * debian/rules:
    - auto tests changed their location

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Jul 2011 18:10:35 +0200

sni-qt (0.1.5-0ubuntu1) oneiric; urgency=low

  * Initial package

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Jul 2011 16:56:24 +0200

## sni-qt 0.2.6

=== debian/changelog ===
sni-qt (0.2.6-0ubuntu1) quantal; urgency=low

  * New upstream release (lp: #1020419).
  * debian/patches/do-not-delete-cwd-if-tmp-dir-is-not-writable.diff,
    debian/patches/do-not-eat-cpu-with-animated-icons.diff:
    - dropped, the patches are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 31 Jul 2012 13:19:47 +0200

=== debian/control ===
Source: sni-qt
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.1.3~),
               pkg-config,
               qt4-qmake,
               libqt4-dev, 
               libdbusmenu-qt-dev,
Standards-Version: 3.9.2
Homepage: https://launchpad.net/sni-qt
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/sni-qt

Package: sni-qt
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtcore4 (>= 4:4.7.3-1ubuntu3~),
Multi-Arch: same
Description: indicator support for Qt
 This plugin provides indicator support for Qt.  It allows applications
 to export their systray transparently to the indicator system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_test:
	# Only one test doesn't need a X display
	obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)/tests/auto/fsutilstest

override_dh_makeshlibs:
	dh_makeshlibs -Nsni-qt

=== debian/watch ===
version=3
https://launchpad.net/sni-qt/+download \
http://launchpad.net/sni-qt/trunk/\d.\d.\d/\+download/sni-qt-(.*)\.tar\.bz2

## sni-qt 0.2.7%2B15.10.20150729

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Versions
 set(sni_qt_VERSION_MAJOR 0)
 set(sni_qt_VERSION_MINOR 2)
-set(sni_qt_VERSION_PATCH 5)
+set(sni_qt_VERSION_PATCH 6)
 set(sni_qt_VERSION ${sni_qt_VERSION_MAJOR}.${sni_qt_VERSION_MINOR}.${sni_qt_VERSION_PATCH})
 
 # Packaging

=== tests/auto/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
     set(_src ${ARGN})
     qt4_generate_moc(${_test}.cpp ${_test}.moc)
     qt4_automoc(${_src})
-    add_executable(${_test} ${_test}.cpp ${_test}.moc ${_src} ${test_RC})
+    add_executable(${_test} ${_test}.cpp ${_test}.moc ${_src} ${SRC_DIR}/debug.cpp ${SRC_DIR}/settings.cpp ${test_RC})
     target_link_libraries(${_test} ${test_LIBRARIES})
 
     add_test(${_test} ${_test})

## sni-qt 0.2.7+15.10.20150729

=== src/CMakeLists.txt ===
# Source
set(sni_qt_SRCS
    dbusimage.cpp
    dbustooltip.cpp
    debug.cpp
    fsutils.cpp
    iconcache.cpp
    settings.cpp
    statusnotifieritem.cpp
    statusnotifieritemfactory.cpp
    )

# Build
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${DBUSMENUQT_INCLUDE_DIRS}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    )

qt4_automoc(${sni_qt_SRCS})

qt4_add_dbus_adaptor(sni_qt_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.StatusNotifierItem.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/statusnotifieritem.h StatusNotifierItem
    )

add_library(sni-qt MODULE
    ${sni_qt_SRCS}
    )

link_directories(
    ${DBUSMENUQT_LIBRARY_DIRS}
    )

target_link_libraries(sni-qt
    ${DBUSMENUQT_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTXML_LIBRARIES}
    )

# Install
install(TARGETS sni-qt
    DESTINATION ${QT_PLUGINS_DIR}/systemtrayicon/
    )

=== debian/changelog ===
sni-qt (0.2.7+15.10.20150729-2) unstable; urgency=medium

  * Upload to unstable.
  * Add -Wl,--as-needed to LDFLAGS.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 06 Sep 2015 11:39:47 +0200

sni-qt (0.2.7+15.10.20150729-1) experimental; urgency=medium

  * Initial release based on the Ubuntu package. (Closes: #712938)
    Thanks to everyone who worked on it.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 04 Aug 2015 22:25:30 +0200

=== debian/control ===
Source: sni-qt
Section: x11
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libdbusmenu-qt-dev,
               libqt4-dev,
               pkg-config,
               qt4-qmake,
               xvfb,
               xauth
Standards-Version: 3.9.6
Homepage: https://launchpad.net/sni-qt
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/sni-qt.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/sni-qt.git

Package: sni-qt
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libqtgui4 (>= 4:4.8.7+dfsg-2~), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: indicator support for Qt
 This plugin provides indicator support for Qt.  It allows applications
 to export their systray transparently to the indicator system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_makeshlibs:
	dh_makeshlibs -Nsni-qt

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
http://archive.ubuntu.com/ubuntu/pool/main/s/sni-qt/sni-qt_([0-9+.]+)\.orig\.tar\.(?:bz2|gz|xz)
